import { OnInit, ChangeDetectorRef, EventEmitter } from "@angular/core";
import { DropDownListComponent } from "@syncfusion/ej2-angular-dropdowns";
import { RichTextEditorComponent, ToolbarSettingsModel } from "@syncfusion/ej2-angular-richtexteditor";
import { ButtonComponent } from "@syncfusion/ej2-angular-buttons";
import { DialogComponent } from "@syncfusion/ej2-angular-popups";
export declare class RichtexteditorComponent implements OnInit {
    private ref;
    rteObj: RichTextEditorComponent;
    queryCategory: DropDownListComponent;
    leftRte: RichTextEditorComponent;
    rightRte: RichTextEditorComponent;
    AIdialog: DialogComponent;
    sentimentButton: ButtonComponent;
    regenerateButton: ButtonComponent;
    copyButton: ButtonComponent;
    replaceButton: ButtonComponent;
    placeholder: string;
    value: string;
    height: number;
    autoSaveOnIdle: boolean;
    target: string;
    toolbarClick: EventEmitter<any>;
    change: EventEmitter<any>;
    family: Object;
    dialogWidth: string;
    dialogHeight: string;
    showZoomBtn: boolean;
    showMsg: boolean;
    insertImageSettings: {
        saveFormat: string;
        allowedTypes: string[];
        display: string;
    };
    editorManager: any;
    size: string;
    selectedQuery: any;
    dropValIndex: number;
    queryList: {
        id: string;
        text: string;
    }[];
    rephraseTyleList: {
        text: string;
        id: string;
    }[];
    languageList: {
        id: string;
        text: string;
    }[];
    promptQuery: string;
    isSentimentCheck: boolean;
    subQuery: string;
    translatelanguage: string;
    chipValue: string;
    apiResultData: any;
    AIResult: string;
    tools: ToolbarSettingsModel;
    constructor(ref: ChangeDetectorRef);
    ngOnInit(): void;
    onContentChange(args: any): void;
    onCreate(): void;
    private onSelect;
    private aiQuerySelectedMenu;
    dialogueOpen(selectedQuery: string): void;
    updateAISugesstionsData(selectedQuery: string): void;
    updateAISugesstions(): void;
    getResponseFromOpenAI(subQuery: string, promptQuery: string): Promise<string>;
    dialogShow(): void;
    closeDialog(): void;
    copyTextToClipboard(text: string): void;
    onOverlayClick(): void;
    onQuerySelect(args: any): void;
    onLanguageSelect(args: any): void;
    onChipClick(args: any): void;
    _toolbarClick(args: any): void;
    hideToast(): void;
    onZoom(): void;
}
